StandardHostMBean (Tomcat API Documentation)
Keywords: org.apache.catalina.mbeans.StandardHostMBean class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.mbeans
Class StandardHostMBean

    java.lang.Object
      org.apache.tomcat.util.modeler.BaseModelMBean
          org.apache.catalina.mbeans.StandardHostMBean

All Implemented Interfaces:
  javax.management.DynamicMBean, javax.management.MBeanRegistration, javax.management.modelmbean.ModelMBeanNotificationBroadcaster, javax.management.NotificationBroadcaster

    public class StandardHostMBean

extends BaseModelMBean

A ModelMBean implementation for the `org.apache.catalina.core.StandardHost` component.

Version:
  $Revision: 467222 $ $Date: 2006-10-24 05:17:11 +0200 (Tue, 24 Oct 2006) $
Author:
  Amy Roh

Field Summary

Fields inherited from class org.apache.tomcat.util.modeler.BaseModelMBean
`attributeBroadcaster, generalBroadcaster, managedBean, oname, resource, resourceType`

Constructor Summary
`StandardHostMBean()` Construct a `ModelMBean` with default `ModelMBeanInfo` information.

Method Summary
`void` | `addAlias(java.lang.String alias)` Add an alias name that should be mapped to this Host
`java.lang.String[]` | `findAliases()` Return the set of alias names for this Host
`java.lang.String[]` | `getValves()` Return the MBean Names of the Valves assoicated with this Host
`void` | `removeAlias(java.lang.String alias)` Return the specified alias name from the aliases for this Host

Methods inherited from class org.apache.tomcat.util.modeler.BaseModelMBean
`addAttributeChangeNotificationListener, addNotificationListener, getAttribute, getAttributes, getClassName, getJmxName, getManagedResource, getMBeanInfo, getModelerType, getNotificationInfo, getObjectName, invoke, postDeregister, postRegister, preDeregister, preRegister, removeAttributeChangeNotificationListener, removeAttributeChangeNotificationListener, removeNotificationListener, removeNotificationListener, removeNotificationListener, sendAttributeChangeNotification, sendAttributeChangeNotification, sendNotification, sendNotification, setAttribute, setAttributes, setManagedBean, setManagedResource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### StandardHostMBean

    public StandardHostMBean()
                      throws javax.management.MBeanException,
                             javax.management.RuntimeOperationsException

  Construct a `ModelMBean` with default `ModelMBeanInfo` information.

  Throws:
    `javax.management.MBeanException` - if the initializer of an object throws an exception
    `javax.management.RuntimeOperationsException` - if an IllegalArgumentException occurs

Method Detail

### addAlias

    public void addAlias(java.lang.String alias)
                  throws java.lang.Exception

  Add an alias name that should be mapped to this Host

  Parameters:
    `alias` - The alias to be added
  Throws:
    `java.lang.Exception` - if an MBean cannot be created or registered

### findAliases

    public java.lang.String[] findAliases()
                                   throws java.lang.Exception

  Return the set of alias names for this Host

  Throws:
    `java.lang.Exception` - if an MBean cannot be created or registered

### getValves

    public java.lang.String[] getValves()
                                 throws java.lang.Exception

  Return the MBean Names of the Valves assoicated with this Host

  Throws:
    `java.lang.Exception` - if an MBean cannot be created or registered

### removeAlias

    public void removeAlias(java.lang.String alias)
                     throws java.lang.Exception

  Return the specified alias name from the aliases for this Host

  Parameters:
    `alias` - Alias name to be removed
  Throws:
    `java.lang.Exception` - if an MBean cannot be created or registered

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.